# AI代码分析工具 v4.3

该工具基于人工智能，能够分析 Python 代码，提供详细的语法检查、逻辑分析和优化建议，并能自动生成流程图与类图。通过 Graphviz 和 PlantUML，用户可以更好地理解代码的结构和流程。

## 安装与配置

### 1. 安装 Python 环境

- 请确保您的机器上已安装 Python 3.x。若尚未安装，请访问 [Python 官方网站](https://www.python.org/downloads/) 下载并安装。

- 在安装 Python 后，确保 `pip` 工具已正确配置。您可以通过以下命令检查 Python 和 pip 是否安装成功：
  ```bash
  python --version
  pip --version
  ```

- 安装必要的 Python 库：
  ```bash
  pip install -r requirements.txt
  ```

  `requirements.txt` 文件包含了工具所依赖的所有 Python 库，包括 `openai`, `tkinter`, `Pillow`, `graphviz`, `python-dotenv` 等。

### 2. 安装 Java 环境

- 本工具依赖 PlantUML 生成 UML 图，因此需要安装 Java 环境。请访问 [Java 官网](https://www.java.com/en/download/) 下载并安装适用于您操作系统的 Java 版本。

- 安装完成后，检查 Java 环境是否配置成功：
  ```bash
  java -version
  ```

  确保显示的版本是您已安装的 Java 版本。

### 3. 配置 PlantUML

- 确保目录下有 `plantuml.jar` 文件，该文件是 PlantUML 的核心文件。

### 4. 配置环境变量

- 创建一个 `.env` 文件，并在其中添加 `DEEPSEEK_API_KEY`，这是您用于 DeepSeek API 的密钥。格式如下：
  ```
  DEEPSEEK_API_KEY=your_api_key_here
  ```

### 5. 运行配置脚本 `config.py`

在项目根目录中找到并运行 `config.py` 配置文件。该脚本会帮助您检查并配置工具所需的环境设置，确保所有依赖项正确安装。运行命令如下：
```bash
python config.py
```

该脚本将自动检查 Java 和 Python 环境是否配置正确，并确保 PlantUML 配置无误。

### 6. 运行工具

配置完成后，您可以启动工具：
```bash
python app.py
```

该命令将启动应用程序，您可以通过界面输入代码并开始分析。

## 使用方法

1. **输入代码**：在界面中输入 Python 代码。
2. **开始分析**：点击“开始分析”，工具会返回分析结果，包括：
   - 语法检查与修正建议
   - 逻辑分析和优化建议
   - 生成流程图和类图

## 贡献

欢迎大家贡献代码，提供 Bug 修复或功能增强！请通过 Pull Requests 提交您的修改。



